Name:          google-oauth-java-client
Version:       1.22.0
Release:       5
Summary:       Google OAuth Client Library for Java
License:       ASL 2.0
URL:           https://github.com/google/google-oauth-java-client
Source0:       https://github.com/google/google-oauth-java-client/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:     noarch

BuildRequires: mvn(com.google.code.findbugs:jsr305) mvn(com.google.http-client:google-http-client)
BuildRequires: mvn(com.google.http-client:google-http-client-jdo)
BuildRequires: maven-local mvn(javax.jdo:jdo2-api) mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

Provides:      google-oauth-java-client-java6 = %{version}-%{release}
Obsoletes:     google-oauth-java-client-java6 < %{version}-%{release}
Provides:      google-oauth-java-client-parent = %{version}-%{release}
Obsoletes:     google-oauth-java-client-parent < %{version}-%{release}
Provides:      google-oauth-java-client-servlet = %{version}-%{release}
Obsoletes:     google-oauth-java-client-servlet < %{version}-%{release}

%description
Written by Google, the Google OAuth Client Library for Java is a
powerful and easy-to-use Java library for the OAuth 1.0a and OAuth 2.0
authorization standards. The Google OAuth Client Library for Java is
designed to work with any OAuth service on the web, not just with
Google APIs. It is built on the Google HTTP Client Library for Java.

The library supports the following Java environments:

 * Java 7 (or higher)
 * Android 4.0 (Ice Cream Sandwich) (or higher)
 * Google App Engine

%package help
Summary:       Documents for google-oauth-java-client

Provides:      google-oauth-java-client-javadoc = %{version}-%{release}
Obsoletes:     google-oauth-java-client-javadoc < %{version}-%{release}

%description help
The google-oauth-java-client package contains related documents.

%prep
%autosetup -n %{name}-%{version} -p1

%pom_disable_module google-oauth-client-assembly
%pom_disable_module google-oauth-client-appengine
%pom_disable_module google-oauth-client-jetty
%pom_disable_module samples/dailymotion-cmdline-sample
%pom_change_dep -r :guava-jdk5 :guava
%pom_change_dep -r :servlet-api :javax.servlet-api:3.1.0
%pom_remove_plugin -r :animal-sniffer-maven-plugin
%pom_remove_plugin -r :clirr-maven-plugin
%pom_remove_plugin -r :findbugs-maven-plugin
%pom_remove_plugin -r :maven-checkstyle-plugin
%pom_remove_plugin -r :maven-deploy-plugin
%pom_remove_plugin -r :maven-source-plugin
%pom_remove_plugin -r :maven-release-plugin
%pom_xpath_remove -r "pom:plugin[pom:artifactId ='maven-jar-plugin']/pom:executions"

%pom_remove_plugin org.datanucleus:maven-datanucleus-plugin google-oauth-client-servlet

%build
%mvn_build -s --skip-tests

%install
%mvn_install

%files -f .mfiles-google-oauth-client -f .mfiles-google-oauth-client-java6 -f .mfiles-google-oauth-client-parent -f .mfiles-google-oauth-client-servlet
%doc README.md LICENSE

%files help -f .mfiles-javadoc
%doc LICENSE

%changelog
* Wed Jan 27 2021 huanghaitao <huanghaitao8@huawei.com> - 1.22.0-5
- Skip tests to drop datanuclues components

* Tue Mar 03 2020 Jiangping Hu <hujp1985@foxmail.com> - 1.22.0-4
- Package init
